#ifndef __SYSSTATE_H__
#define __SYSSTATE_H__

#include <QObject>
#include <QTimer>
#include "broadcast.h"

class SysState : public QObject
{
    Q_OBJECT

public:
    explicit SysState(QObject *parent = nullptr);
    QJsonObject sysStateInfo();

protected:
    float cpuTemperature();
    float meminfo();
    float diskinfo();

private:
    QTimer m_detectTimer;
    int m_cputemp;
    int m_meminfo;
    int m_diskinfo;

private slots:
    void onDetectSysState();

};

#endif  // SYSSTATE_H